<h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;" class="mb-3"><b>Remote Monitoring:</b>
</h3>
<table class="table table-sm table-bordered mt-2 mb-0">
    <thead>
    <tr>
        <th class="px-1 text-nowrap"><b>Date & Time</b></th>
        <th class="px-1"><b>Measurement</b></th>
        <th class="px-1"><b>Type</b></th>
        <th class="px-1"><b>Interaction</b></th>
        <th class="px-4 w-100"><b>Comments</b></th>
    </tr>
    </thead>
    <tbody>
    @php
        $measurementsInCareMonth = $patient->measurementsInCareMonth($careMonth);
        $plottableMeasurements = [];
    @endphp
    @foreach ($measurementsInCareMonth as $measurement)
        @if($measurementType && stripos($measurement->label, $measurementType) === false )
            @continue
        @endif
        @if (!empty($measurement->label) && !in_array($measurement->label, ['SBP', 'DBP']) && !$measurement->is_cellular_zero)
            <tr>
                <td class="px-2 text-nowrap">
                    @if ($measurement->ts)
                            <?php $timestampInSec = floor($measurement->ts / 1000); ?>
                        {{ friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN') }}
                    @else
                        {{ friendly_date_time_short_with_tz($measurement->effective_date, true, 'EASTERN') }}
                    @endif
                    EST
                </td>
                <td class="px-1 ">
                    <div class="text-nowrap">
                        @if ($measurement->is_cellular_zero)
                            <i class="font-size-11 fa fa-rss"></i>
                        @elseif($measurement->label === 'BP')
                            {{ $measurement->sbp_mm_hg }}/{{ $measurement->dbp_mm_hg }} mmHg
                        @elseif($measurement->label === 'Wt. (lbs.)')
                            {{ round(floatval($measurement->numeric_value), 2) }} lbs
                        @else
                            {{ $measurement->value }}
                        @endif
                    </div>
                </td>
                <td class="px-1">{{ $measurement->label }}</td>
                <td>
                    @if($careMonth->mcpInteractionNote)
                        $careMonth->mcpInteractionNote->method
                    @else
                        Audio call
                    @endif
                </td>
                {{--                    <td colspan="px-2">--}}
                {{--                        <?php--}}
                {{--                        $stamps = ['has_been_stamped_by_mcp', 'has_been_stamped_by_non_hcp', 'has_been_stamped_by_rme', 'has_been_stamped_by_rmm'];--}}
                {{--                        $isStamped = false;--}}
                {{--                        foreach ($stamps as $stamp) {--}}
                {{--                            if ($measurement->{$stamp}) {--}}
                {{--                                $isStamped = true;--}}
                {{--                            }--}}
                {{--                        }--}}
                {{--                        ?>--}}
                {{--                        @if ($isStamped)--}}
                {{--                            ✓--}}
                {{--                        @endif--}}
                {{--                    </td>--}}
                <td class="px-4">
                    <div class="">
                        @foreach($careMonth->entries as $entry)
                            @if($entry->achieved_mcp_time_in_seconds > 0 && $entry->is_removed != true )
                                <div class="d-flex align-items-start">
                                    <span class="mr-2">{{$entry->achieved_mcp_time_in_seconds/60}}m: </span>
                                    <div>{!!  $entry->content_text  !!}</div>
                                </div>
                            @endif
                        @endforeach
                    </div>
                </td>
            </tr>
        @endif
    @endforeach
    @if (!$patient->measurements || !count($patient->measurements) === 0)
        <tr>
            <td class="text-secondary p-0 border-0">
                No items to show
            </td>
        </tr>
    @endif
    </tbody>
</table>
