@extends('layouts.print')

@section('content')
    <style>
        html,
        body {
            height: max-content;
            display: flex;
            margin: auto;
        }

        #printableScreen {
            width: 11in;
        }
    </style>
    <div id="printableScreen" style="padding: 15px;">
        <div class="d-flex align-items-end justify-content-end" style="margin-top:15px;margin-bottom: 30px;">
            <div class="">
                <div class="">
                    <h6 class="font-weight-bold text-uppercase">
                        <strong>{{$careMonth->companyPro && $careMonth->companyPro->company ? $careMonth->companyPro->company->name : '-'}}</strong>
                    </h6>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span
                            style="color: #6c757d;">{{$careMonth->companyLocation ? $careMonth->companyLocation->line1 . ', ' . $careMonth->companyLocation->line2 : '-'}}
                    </div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span
                            style="color: #6c757d;">{{$careMonth->companyLocation ? $careMonth->companyLocation->city . ', ' . $careMonth->companyLocation->state.' '.$careMonth->companyLocation->zip : '-'}}
                    </div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span
                            style="color: #6c757d;"><strong>Phone</strong></span>: {{$careMonth->companyPro && $careMonth->companyPro->company ? $careMonth->companyPro->company->phone_number : '-'}}
                    </div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span style="color: #6c757d;"><strong>Fax</strong></span>:
                        (808)-878-1414
                    </div>
                </div>
            </div>
        </div>
        <div
            style="width: 100%  !important; background-color: black !important; color: snow  !important">
            <div class="p-3 text-right">
                <h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;">Remote Patient
                    Monitoring</h3>
            </div>
        </div>
        <div>
            <div class="py-3 text-uppercase">
                <h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;">{{$careMonth->client->displayName()}}</h3>
            </div>
            <table class="table-bordered table">
                <tr>
                    <td><b>Address 1:</b> {{$careMonth->client->mailing_address_line1}}</td>
                    <td><b>Birth Date:</b> {{friendly_date($careMonth->client->dob)}}</td>
                </tr>
                <tr>
                    <td><b>City, State, Zip:</b> {{$careMonth->client->mailing_address_city}}
                        , {{$careMonth->client->mailing_address_state}} {{$careMonth->client->mailing_address_zip}}</td>
                    <td><b>Cell Phone:</b> {{$careMonth->client->cell_number}}</td>
                </tr>
                <tr>
                    <td><b>Gender:</b> {{$careMonth->client->sex}}</td>
                    <td><b>Measurement Period:</b> {{friendly_month($careMonth->start_date)}}</td>
                </tr>
                <tr>
                    <td><b>Date of Enrollment:</b> {{friendly_month($careMonth->enrolled_in_rm_at)}}</td>
                    <td><b>Consent Received:</b> Yes</td>
                </tr>
            </table>
        </div>


        <div>
            <?php
            $measurementType = null;
            if ($type === 'measurements-bp') {
                $measurementType = 'BP';
            }
            if ($type === 'measurements-wt') {
                $measurementType = 'Wt';
            }
            ?>
            @include('app.patient.care-month.partials.print.measurements', ['measurementType' => $measurementType])
        </div>

        <div>
            <h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;" class="mt-4 mb-3"><b>Remote
                    Monitoring Measurements:</b>
            @include('app.patient.care-month._vitals_graph_unified')
        </div>

        <div>
            @if($type === 'detailed')
                <div style="margin-bottom: 30px;">
                    @include('app.patient.care-month.partials.print.rm-reasons')
                </div>
            @endif
        </div>

        <div>
            <h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;" class="mb-2"><b>Devices:</b>
            </h3>
            <ol>
                @foreach($careMonth->client->devices as $device)
                    @if($device->device->category == 'BP')
                        <li>Cellular BP Cuff: IMEI# {{$device->device->imei}}</li>
                    @endif
                    @if($device->device->category == 'WEIGHT')
                        <li>Cellular Weight Scale: IMEI# {{$device->device->imei}}</li>
                    @endif
                @endforeach
            </ol>
        </div>

        <div>
            <h3 style="font-weight: bolder; font-size: 18px; line-height:18px; margin:0px;" class="mb-3">
                <b>Signature:</b>
            </h3>

            <table>
                <tr>
                    <td>Date of Service</td>
                    <td>Service</td>
                    <td>Place of Service</td>
                </tr>
                <tr>
                    <td>12/31/2024</td>
                    <td>Remote Patient Monitoring</td>
                    <td>133 Rollins Ave, Suite 3, Rockville, MD 20852</td>
                </tr>
                <tr>
                    <td>Total Time Spent</td>
                    <td>Provider(HCP)</td>
                    <td>Signature</td>
                </tr>
                <tr>
                    <td>42 Minutes</td>
                    <td>Lilieth Poleon, FNP-C</td>
                    <td>Signed</td>
                </tr>
            </table>
            <div>
                Signed electronically on 12/31/2024 11:06 AM EST
            </div>
        </div>
    </div>
    <script>
        const navBar = document.querySelector('nav.navbar');
        if(navBar){
            navBar.remove();
        }
        function printDiv(divName) {
            var printContents = document.getElementById(divName).innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        }

        document.addEventListener("DOMContentLoaded", function (event) {
            //printDiv('printableScreen');
        });
    </script>
@endsection
